Update phoneAuthenticationMethod
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Update the phone number associated with a phone authentication method.
You can't change a phone's type. To change a phone's type, add a new number of the desired type and then delete the object with the original type.
If a user is enabled by policy to use SMS to sign in and the mobile number is changed, the system will attempt to register the number for use in that system.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
Permissions acting on self
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | UserAuthenticationMethod.ReadWrite |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Not supported. |
Permissions acting on other users
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | UserAuthenticationMethod.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | UserAuthenticationMethod.ReadWrite.All |
For delegated scenarios where an admin is acting on another user, the admin needs one of the following Azure AD roles:
- Global administrator
- Privileged authentication administrator
- Authentication administrator
HTTP request
PATCH /me/authentication/phoneMethods/{id}
PATCH /users/{id | userPrincipalName}/authentication/phoneMethods/{id}
The value of id corresponding to the phoneType to update is one of the following:
b6332ec1-7057-4abe-9331-3d72feddfe41to update thealternateMobilephoneType.e37fc753-ff3b-4958-9484-eaa9425c82bcto update theofficephoneType.3179e48a-750b-4051-897c-87b9720928f7to update themobilephoneType.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
| Content-type | application/json. Required. |
Request body
In the request body, supply the values for relevant fields that should be updated. Existing properties that are not included in the request body will be recalculated based on changes to other property values.
| Property | Type | Description |
|---|---|---|
| phoneNumber | String | The phone number to text or call for authentication. Phone numbers use the format "+<country code> <number>x<extension>", with extension optional. For example, +1 5555551234 or +1 5555551234x123 are valid. Numbers are rejected when creating/updating if they do not match the required format. |
| phoneType | string | Possible values are: mobile, alternateMobile, or office. |
Response
If successful, this method returns a 200 OK response code and an updated phoneAuthenticationMethod object in the response body.
Examples
Request
The following is an example of the request.
PATCH https://graph.microsoft.com/beta/me/authentication/phoneMethods/3179e48a-750b-4051-897c-87b9720928f7
Content-type: application/json
{
"phoneNumber": "+1 2065555554",
"phoneType": "mobile",
}
Response
The following is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"phoneNumber": "+1 2065555554",
"phoneType": "mobile",
"smsSignInState": "ready",
"id": "3179e48a-750b-4051-897c-87b9720928f7"
}
Feedback
Submit and view feedback for